Subject: Re: Continuing pkgtools version problems...
To: None <>
From: John Klos <>
List: tech-pkg
Date: 03/08/2001 18:24:41
> > Will this be corrected soon?
> This problem should be fixed already.  I just updated pkgsrc too,
> although via CVS.  How did you go about updating pkg_install?
> I did something like:
> 	cd pkgsrc/pkgtools/pkg_install/
> 	make

I did the same. Shortly after the initial make, I got the same errors as
everyone else who has posted here about this.

> My pkgtools were a few days old, and as far as I know, there have not
> been any changes to pkgsrc relevant to this problem since the tar file
> you mention was created.

My pkgtools, at least on this particular system where I tried this, were
the original tools that came with 1.5.

Most of the systems I support have a basic 1.5 install, and the people in
charge of them now are not really expected to handle these kinds of
problems, which is why I'm a little concerned about what happens when they
sup the pkgsrc tree and can no longer build a package.

John Klos